### Property

# WebKit Settings:media-content-types-requiring-hardware-support

since: 2.30

#### Declaration

    property media-content-types-requiring-hardware-support: utf8 [ read, write, construct ]

#### Description [src]

List of media content types requiring hardware support, split by semicolons (:). For example: ‘video/webm; codecs=”vp“:video/mp4; codecs=”avc“:video/* codecs=”av1*”’.

Type: | `gchar*`
Available since: | 2.30

Setter method | `webkit_settings_set_media_content_types_requiring_hardware_support()`
Getter method | `webkit_settings_get_media_content_types_requiring_hardware_support()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no